#!/bin/sh
# Starting Tcl/Tk MIDAS command panel
# Notes: 1. MIDAS version >= 93NOV
#        2. Connection with 94NOV may hang
#           (problems with USR1 signal catching in prepa?)
#           use SET/BACK, CLEAR/BACK commands in this case...
# Execute as:
#        midpanel  [Pname [MIDsess]]
#  where:
#        Pname - name of panel configuration file (without .pnl ext)
#                default - "main"
#        MIDsess - MIDAS session ident, default - "00"
#
Pname=main
[ -n "$1" ] && Pname=`echo $1|sed 's/\.pnl$//'`
MIDsess=00
[ -n "$DAZUNIT" ] && MIDsess=$DAZUNIT
[ -n "$2" ] && MIDsess=`(echo -n $2;echo -n 0)|cut -b 1-2`
mid_panel.tkx $Pname.pnl $MIDsess &
